QGIS Application - Feature request #2738

Legend customizations are not saved in Composer Template

2010-05-20 08:25 AM - Horst Diister

Status: Closed

Priority: Low

Assignee: Marco Hugentobler
Category: Map Composer/Printing

Pull Request or Patch supplied:
Easy fix?: No

Resolution:
Copied to github as #: 12798

Description

1. Create a composer legend group and add some items
2. Save the composer map as template

3. Reload the saved composer template

4. The legend group does exist no longer

Associated revisions

Revision 22b3307b - 2017-03-22 02:58 AM - Nyall Dawson
[composer] Restore legend customisation from composer templates
This change allows customised legends within composer templates
to be correctly restored when creating a new composition from

the template in a different project.

The legend layers will be attached to any loaded layers with a
matching data source as the layer from the original template
composition.

Fix #2738

Sponsored by ENEL, on behalf of Faunalia

Revision 616868ef - 2017-03-22 07:22 AM - Nyall Dawson

Merge pull request #4054 from nyalldawson/fix_2738

[composer] Restore legend customisation from composer templates (Fix #2738)

Revision 0b36ee3a - 2017-04-18 02:27 AM - Nyall Dawson

Use weak layer references and loose matching for composer legend

customisation

Allows legend customisation to be restored when loading a composer

template

Fix #2738
History

#1 - 2010-05-20 05:40 PM - John Tull

Additionally, no information regarding customized legends is preserved when a template is loaded. Try creating a composer item, add a legend, then delete
a few items. Add another with those items only. Save the template and load it in a new composer. All legend instances will be populated with every item in
the map canvas.

My guess is these two items are related. Effectively, legend instances are not having any information saved other than location and font information.

I've changed the bug title from "Grouped Legend Items are not saved in Composer Template" to reflect this more general problem.

#2 - 2010-06-07 07:53 AM - Marco Hugentobler

The legend structure is saved in the template (see content of the xml file). However, a template can be opened in a project with totally different layers and

therefore is expected to not restore the saved legend content (otherwise, the legend content would be wrong if opening the template in other projects).

It would however make sense to add a test if the legend id is present in the project.

#3 - 2010-06-12 01:41 PM - Marco Hugentobler

changing to enhancement. Current behaviour is correct, but automatically trying to create a 'best fit' would be perfect.

#4 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2014-04-06 06:02 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#8 - 2017-03-21 11:15 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"616868efbeb72633fd0798efeaece05e75a92de71".
